=== packages/invirt-web/debian/changelog ===
invirt-web (0.1.1) unstable; urgency=low

  * Use a different Mako template cache for auth.fcgi and unauth.fcgi
  * Use shell scripts for the auth.fcgi and unauth.fcgi so that Apache
    will not think they are the same script.

 -- Quentin Smith <quentin@mit.edu>  Sun, 20 Dec 2009 23:53:17 -0500

invirt-web (0.1.0) unstable; urgency=low

  [Quentin Smith]
  * Switch to CherryPy in place of our home-grown web framework.
  * Switch from the Cheetah templating engine to the Mako templating engine.
  * New URI scheme: /machine/<numeric-id>/<operation>
    rather than /<operation>?machine_id=<numeric-id> .
  * Fix power-on/power-off/reboot buttons for IE <=8.
  * Move some bits of presentation code from Python into templates.
  * Clarify that Windows licenses are available from MIT for staff.

  [Evan Broder]
  * Show newlines from descriptions in list page.
  * Only aklog to a cell if encryption is actually needed.
  * Re-arrange the authz configuration.

 -- Greg Price <price@mit.edu>  Sat, 19 Dec 2009 21:53:40 -0500

invirt-web (0.0.24) unstable; urgency=low

  * Update authorization code for new config structure.

 -- Evan Broder <broder@mit.edu>  Wed, 16 Dec 2009 11:47:13 -0600

invirt-web (0.0.23) unstable; urgency=low

  * Revert 0.0.22, since running VMs still have a password set.

 -- Evan Broder <broder@mit.edu>  Mon, 28 Sep 2009 23:24:00 -0400

invirt-web (0.0.22) unstable; urgency=low

  * Don't supply a password to the VNC server, since one is no longer
    required.

 -- Evan Broder <broder@mit.edu>  Mon, 28 Sep 2009 21:24:06 -0400

invirt-web (0.0.21) unstable; urgency=low

  [ Quentin Smith ]
  * Don't reuse IP addresses that are special in some way.

  [ Evan Broder ]
  * Cache the membership of the adminacl in addition to the ACLs for
    machines.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 21:06:55 -0500

invirt-web (0.0.20) unstable; urgency=low

  * Don't confuse MB with MiB, or GB with GiB.

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Feb 2009 04:54:54 -0500

invirt-web (0.0.19) unstable; urgency=low

  * modified quota checking to refer to invirt.database.Owner for quotas and defaults

 -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 01:31:01 -0500

invirt-web (0.0.18) unstable; urgency=low

  * depend on apache2, libapache2-mod-auth-sslcert, python-dnspython
  * enable Apache modules we need
  * get mitCAclient.pem from debathena-ssl-certificates
  * organize our 24 dependencies a bit

 -- Greg Price <price@mit.edu>  Sat, 31 Jan 2009 14:59:14 -0500

invirt-web (0.0.17) unstable; urgency=low

  * Add Provides and Conflicts lines to debian/control for
    config-package-dev

 -- Evan Broder <broder@mit.edu>  Sat, 24 Jan 2009 20:15:29 -0500

invirt-web (0.0.16) unstable; urgency=low

  * Fix a security vulnerability: traditional `pts mem` is in cleartext
    and could be spoofed.  Use new -encrypt option, which needs tokens.

  * make initscript stop command not leave apache2 processes lying around
    (so that restart works)
  * Depend on mail-transport-agent, not postfix.

 -- Greg Price <price@mit.edu>  Tue, 30 Dec 2008 17:43:41 -0500

invirt-web (0.0.15) unstable; urgency=low

  * config.{authn[0] => kerberos}.realm

 -- Evan Broder <broder@mit.edu>  Wed, 10 Dec 2008 23:30:46 -0500

invirt-web (0.0.14) unstable; urgency=low

  * Depend on invirt-web-iptables

 -- Evan Broder <broder@mit.edu>  Sun, 07 Dec 2008 09:12:45 -0500

invirt-web (0.0.13) unstable; urgency=low

  * Add cron dependency

 -- Evan Broder <broder@mit.edu>  Thu, 20 Nov 2008 11:01:12 -0500

invirt-web (0.0.12) unstable; urgency=low

  * Whoops - forgot to drop an option to k5start

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 04:59:31 -0500

invirt-web (0.0.11) unstable; urgency=low

  * Use daemon/$HOSTNAME for the svn repository instead of the first
    principal in the keytab

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 04:56:36 -0500

invirt-web (0.0.10) unstable; urgency=low

  * Make /etc/apache2/sites-available/default a mako template
  * Fix a mistyped variable

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:27:56 -0500

invirt-web (0.0.9) unstable; urgency=low

  * Move trac off-site - redirect somewhere else

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:12:57 -0500

invirt-web (0.0.8) unstable; urgency=low

  * Don't depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:50:00 -0500

invirt-web (0.0.7) unstable; urgency=low

  * Query against the local nameserver to be sure there's no caching of
    deleted hosts
  * Depend on invirt-dns to be sure that a nameserver is running locally
  * Depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 21:47:37 -0500

invirt-web (0.0.6) unstable; urgency=low

  * The web server needs a working AFS; make sure OpenAFS modules are
    installed

 -- Evan Broder <broder@mit.edu>  Mon, 03 Nov 2008 03:40:51 -0500

invirt-web (0.0.5) unstable; urgency=low

  * Add new dependency on python-dns

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 22:57:41 -0400

invirt-web (0.0.4) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:35 -0400

invirt-web (0.0.3) unstable; urgency=low

  * sipb-xen-vnc-client -> invirt-vnc-client

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 17:28:51 -0400

invirt-web (0.0.2) unstable; urgency=low

  * /sipb-xen -> /invirt in apt repo URI

 -- Greg Price <price@mit.edu>  Sun, 26 Oct 2008 04:56:21 -0400

invirt-web (0.0.1) unstable; urgency=low

  * sipb-xen-www -> invirt-web

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 22:09:29 -0400

sipb-xen-www (3.18) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:04:09 -0400

sipb-xen-www (3.17) unstable; urgency=low

  [ Quentin Smith ]
  * Add Kerberos-authenticated web interface on port 442

  [ Evan Broder ]

