=== packages/xvm-mail-config/debian/control ===
Source: xvm-mail-config
Section: servers
Priority: extra
Maintainer: SIPB XVM Project <xvm@mit.edu>
Build-Depends: cdbs, debhelper (>= 5), config-package-dev
Standards-Version: 3.8.0

Package: xvm-mail-config
Architecture: all
Pre-Depends: debconf
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix, procmail
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Description: Configure mail forwarding on XVM Servers
 Configure an MTA for all servers. Accept mail on the 10.5.128/24
 backend network. Forward all mail for root to xvm-root@mit.edu
